Bug 1879716 - Review Request: rust-pure-rust-locales - Pure Rust locales imported directly from the GNU C Library
Summary: Review Request: rust-pure-rust-locales - Pure Rust locales imported directly ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1867195
TreeView+ depends on / blocked
 
Reported: 2020-09-16 19:59 UTC by Fabio Valentini
Modified: 2020-10-06 17:32 UTC (History)
2 users (show)

Fixed In Version: rust-pure-rust-locales-0.5.2-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-06 17:32:40 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2020-09-16 19:59:13 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/rust-pure-rust-locales.spec
SRPM URL: https://decathorpe.fedorapeople.org/packages/rust-pure-rust-locales-0.5.2-1.fc32.src.rpm

Description:
Pure Rust locales imported directly from the GNU C Library. `LC_COLLATE` and
`LC_CTYPE` are not yet supported.

Fedora Account System Username: decathorpe

Comment 1 Robert-André Mauchin 🐧 2020-10-05 21:54:35 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabio Valentini 2020-10-06 08:47:58 UTC
Thanks for the review!!

https://pagure.io/releng/fedora-scm-requests/issue/29402

Comment 3 Gwyn Ciesla 2020-10-06 14:07:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-pure-rust-locales

Comment 4 Fabio Valentini 2020-10-06 17:32:40 UTC
Built for rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1621100

I'll work on the update to 0.5.3 (which was released after I submitted this review request) soon.


Note You need to log in before you can comment on or make changes to this bug.